### Class

# Foundry CodeAction

#### Description

    abstract class Foundry.CodeAction : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### foundry_code_action_dup_kind

No description available.

###### foundry_code_action_dup_name

No description available.

###### foundry_code_action_run

Runs the code action and returns a `DexFuture` that resolves when the action has completed.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.CodeAction:kind

No description available.

###### Foundry.CodeAction:name

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryCodeActionClass {
      GObjectClass parent_class;
      char* (* dup_name) (
        FoundryCodeAction* self
      );
      char* (* dup_kind) (
        FoundryCodeAction* self
      );
      DexFuture* (* run) (
        FoundryCodeAction* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_name: char* (* dup_name) ( FoundryCodeAction* self )`

  No description available.

`dup_kind: char* (* dup_kind) ( FoundryCodeAction* self )`

  No description available.

`run: DexFuture* (* run) ( FoundryCodeAction* self )`

  No description available.

#### Virtual methods

###### Foundry.CodeActionClass.dup_kind

No description available.

###### Foundry.CodeActionClass.dup_name

No description available.

###### Foundry.CodeActionClass.run

Runs the code action and returns a `DexFuture` that resolves when the action has completed.